/** @monorepo-internal */
export declare const uuidVersions: {
    v5: number;
    v7: number;
};
export type UuidVersion = (typeof uuidVersions)[keyof typeof uuidVersions];
/** @internal */
export declare function getEmptyUuid(): string;
/** @internal */
export declare function getNewUuid(version?: UuidVersion, parentUuid?: string, value?: string): string;
/** @monorepo-internal */
export declare function isNonEmptyUuid(uuid: string): boolean;
/** @monorepo-internal */
export declare function isValidUuid(input: string): boolean;
